Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.therlink.domain.responses
Class GeneralResponse

    java.lang.Object
      be.ehealth.businessconnector.therlink.domain.responses.GeneralResponse

Direct Known Subclasses:
  GetTherapeuticLinkResponse, PutTherapeuticLinkResponse, RevokeTherapeuticLinkResponse

    public class GeneralResponse

extends Object

GeneralResponse.

Constructor Summary
`GeneralResponse()`

Method Summary
`Acknowledge` | `getAcknowledge()`
`org.joda.time.DateTime` | `getDateTime()`
`Author` | `getExternalAuthor()`
`String` | `getExternalID()`
`TherapeuticLinkRequestType` | `getOriginalRequest()`
`void` | `setAcknowledge(Acknowledge acknowledge)`
`void` | `setDateTime(org.joda.time.DateTime dateTime)`
`void` | `setExternalAuthor(Author externalAuthor)`
`void` | `setExternalID(String externalID)`
`void` | `setOriginalRequest(TherapeuticLinkRequestType originalRequest)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GeneralResponse

    public GeneralResponse()

Method Detail

### getExternalID

    public String getExternalID()

  Returns:

### setExternalID

    public void setExternalID(String externalID)

  Parameters:
    `externalID` -

### getAcknowledge

    public Acknowledge getAcknowledge()

  Returns:
    the acknowledge

### setAcknowledge

    public void setAcknowledge(Acknowledge acknowledge)

  Parameters:
    `acknowledge` - the acknowledge to set

### getExternalAuthor

    public Author getExternalAuthor()

  Returns:
    the externalAuthor

### setExternalAuthor

    public void setExternalAuthor(Author externalAuthor)

  Parameters:
    `externalAuthor` - the externalAuthor to set

### getDateTime

    public org.joda.time.DateTime getDateTime()

  Returns:
    the dateTime

### setDateTime

    public void setDateTime(org.joda.time.DateTime dateTime)

  Parameters:
    `dateTime` - the dateTime to set

### getOriginalRequest

    public TherapeuticLinkRequestType getOriginalRequest()

  Returns:
    the originalRequest

### setOriginalRequest

    public void setOriginalRequest(TherapeuticLinkRequestType originalRequest)

  Parameters:
    `originalRequest` - the originalRequest to set

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSNURSE 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.